/* base settings */
*{padding: 0;margin: 0;box-sizing: border-box;list-style-type: none;text-decoration: none;overflow-x: hidden;}
/* /////////////////////////////////////////////// */
/* no sroll */
/* html { overflow-y: hidden; }
main { overflow-y: visible }
main { overflow-y:auto } */
/* /////////////////////////////////////////////// */
/* section (100vh) */
.section{height: 100vh;width: 100%;}
/* /////////////////////////////////////////////// */
/* first_view (introduction) */
.first_view {
  background-color: #0C0C0C; 
  /* or 171717 */
  display: flex;justify-content: center;
  align-items: center;
  flex-direction: column;
}
/* indice 1 pour continué */
.indice1{
  position: absolute;
  top: 5px;
  font-size: 13px;
  cursor: pointer;
  transition: 1s;
  color: #fff;
  opacity: 20%;
}
.indice1:hover{
  opacity: 50%;
}
/* title */
.title_one{
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.title_one .principal_title, .riding_hood, .story{
  color: transparent;
  text-shadow: 0 0 5px rgba(0,0,0,0.5);
  font-family: 'Denk One', sans-serif;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 4em;
  text-align: center;
  animation: horror-animation 5s infinite;
}
.riding_hood{
  font-size: 3em;
}
.story{
  letter-spacing: 5px;
  margin-top: 15px;
  text-transform: lowercase;
  font-size: 1.2em;
}

@keyframes horror-animation {
  0% {
    text-shadow: 0 0 10px rgba(255,255,255,0.1);
    left: 51%;
    top: 36%;
 }
  5% {
    text-shadow: 0 0 10px rgba(255,255,255,0.2);
    left: 50%;
    top: 35%;
 }
  10% {
    text-shadow: 0 0 10px rgba(255,255,255,0.3);
    left: 49%;
    top: 34%;
 }
  15% {
    text-shadow: 0 0 10px rgba(255,255,255,0.4);
    left: 50%;
    top: 35%;
 }
  16% {
    text-shadow: 0 0 5px #212121;
    left: 50%;
 }
  17% {
    text-shadow: 0 0 10px rgba(255,255,255,0.4);
    left: 50%;
 }
  20% {
    text-shadow: 0 0 10px rgba(45, 1, 1, 0.5);
    left: 49%;
 }
  25% {
    text-shadow: 0 0 10px rgba(255,255,255,0.6);
    left: 49%;
 }
  30% {
    text-shadow: 0 0 10px rgba(255,255,255,0.7);
    left: 50%;
 }
  35% {
    text-shadow: 0 0 5px rgba(255,255,255,0.8);
    left: 50%;
 }
  36% {
    text-shadow: 0 0 5px #212121;
    left: 50%;
 }
  37% {
    text-shadow: 0 0 5px rgba(255,255,255,0.8);
    left: 50%;
 }
  40% {
    text-shadow: 0 0 5px rgba(255,255,255,0.9);
    left: 51%;
 }
  45% {
    text-shadow: 0 0 5px rgba(255,255,255,0.8);
    left: 51%;
 }
  50% {
    text-shadow: 0 0 5px rgba(255,255,255,0.7);
    left: 51%;
 }
  55% {
    text-shadow: 0 0 10px rgba(255,255,255,0.6);
    left: 50%;
 }
  56% {
    text-shadow: 0 0 5px #212121;
    left: 50%;
 }
  57% {
    text-shadow: 0 0 10px rgba(255,255,255,0.6);
    left: 52%;
 }
  60% {
    text-shadow: 0 0 10px rgba(255,255,255,0.5);
    left: 50%;
 }
  65% {
    text-shadow: 0 0 10px rgba(255,255,255,0.4);
    left: 50%;
 }
  70% {
    text-shadow: 0 0 10px rgba(255,255,255,0.3);
    left: 49%;
 }
  75% {
    text-shadow: 0 0 10px rgba(255,255,255,0.2);
    left: 49%;
 }
  76% {
    text-shadow: 0 0 5px #212121;
    left: 50%;
 }
  77% {
    text-shadow: 0 0 10px rgba(255,255,255,0.2);
    left: 49%;
 }
  80% {
    text-shadow: 0 0 5px rgba(255,255,255,0.1);
    left: 49%;
 }
  85% {
    text-shadow: 0 0 5px rgba(255,255,255,0.2);
    left: 51%;
 }
  86% {
    text-shadow: 0 0 5px #212121;
    left: 50%;
 }
  87% {
    text-shadow: 0 0 5px rgba(63, 0, 0, 0.613);
    left: 51%;
 }
  90% {
    text-shadow: 0 0 5px rgba(255,255,255,0.3);
    left: 51%;
 }
  95% {
    text-shadow: 0 0 10px rgba(255,255,255,0.4);
    left: 51%;
 }
  100% {
    text-shadow: 0 0 10px rgba(255,255,255,0.5);
    left: 50%;
 }
}
/* audio player */
.audio{transition: .5s;
  opacity: 10%;
  position: absolute;
  right: 10px;
  top: 10px;
}
.audio:hover{
  opacity: 50%;
}
.audio audio{
  width: 100px;
}
/* boutton scroll 100 view height */
.btn_scroll{transition: 1.2s;
  font-family: 'Denk One', sans-serif;
  letter-spacing: 5px;
  position: absolute;
  color: #fff;
  opacity: 0;
  cursor: pointer;
  bottom: 50px;
}
.btn_scroll:hover{
  opacity: 50%;
}
/* blood 1*/
.blood_one{
  pointer-events: none;
  position: absolute;
  top: 0;
  left: -120px;
  rotate: 90deg;
  opacity: 35%;
}
/* /////////////////////////////////////////////// */
/* second_view */
.second_view{
  background: url('../image/little_red_rinding_hood_original.png');
  background-color: #171717;
  background-size: cover;
  background-position: top 30% center;
  display: flex;
  align-items: center;
  justify-content: start;
}
/* scroll  */
.btn_scroll_2{transition: 1.2s;
  font-family: 'Denk One', sans-serif;
  letter-spacing: 5px;
  color: #fff;
  opacity: 10%;
  cursor: pointer;
  position: absolute;
  bottom: -95vh;
  margin: 25px;
}
.btn_scroll_2:hover{
  opacity: 50%;
}
/* scroll back */
.scroll_back{transition: 1.3s;
  position: absolute;
  right: 30vw;
  top: 140vh;
  cursor: pointer;
  color: #fff;
  opacity: 10%;
  animation: tremble 1s infinite;
}
.scroll_back:hover{
  opacity: 60%;
}
/* texte */
.txt1{
  margin-left: 50px;
}
.t_1{
  margin: 25px;
  max-width: 450px;
  transition: 6s;
}
.p_color{
  letter-spacing: 4px;
  opacity: 1; /* opacity 0 for change with javascript on scroll */
  color: #fff;
}

/* /////////////////////////////////////////////// */
/* third_view */
.third_view{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  background: #0b0b0b;
}
.brouillard{
  pointer-events: none;
  opacity: 70%;
  position: absolute;
  top: 115vh;
  right: 0;
}
.img_chap_red{
  cursor: pointer;
  transition: 1.7s;
  position: absolute;
  right: 60px;
  top: 220vh;
  opacity: 20%;
  animation: trembling 1s infinite;
}
.img_chap_red:hover{
  opacity: 70%;
}

@keyframes trembling {
  10%, 90% {
    transform: translate3d(-1px, 0, 0);
  }
  
  20%, 80% {
    transform: translate3d(2px, 0, 0);
  }

  30%, 50%, 70% {
    transform: translate3d(-4px, 0, 0);
  }

  40%, 60% {
    transform: translate3d(4px, 0, 0);
  }
}
/* button scroll "enter the forest */
.btn_scroll_3{
  margin: 25px;
  position: absolute;
  bottom: -200vh;
  transition: 1.2s;
  color: #fff;
  opacity: 20%;
  cursor: pointer;
}
.btn_scroll_3:hover{
  opacity: 50%;
}
/* scroll back 2 */
.scroll_back_2{transition: 1.3s;
  position: absolute;
  right: 2vw;
  top: 202vh;
  bottom: -198vh;
  cursor: pointer;
  color: #fff;
  opacity: 10%;
  animation: tremble 1s infinite;
}
.scroll_back_2:hover{
  opacity: 60%;
}
/* txt2 */
.t_2{
  transition: 6s;
  margin-left: 150px;
  max-width: 400px;
}
/* /////////////////////////////////////////////// */
/* fourth_view */
.fourth_view{ height: 100vh;width: 100%;
  background-color: #0b0b0b;
}
.background_forest{ height: 100vh; width: 100%;
  z-index: 2;
  position: absolute;
  background: url('../image/creepy_forest.jpg') center;
  background-size: cover;
  opacity: 15%;
  filter: saturate(20%);
}
.tree_1{
  pointer-events: none;
  position: absolute;
  right: 0;
  top: 0;
  animation: tremble 1s infinite;
}
.tree_2{
  pointer-events: none;
  position: absolute;
  bottom: 0;
  animation: tremble .8s infinite;
}
@keyframes tremble {
  0% { transform: rotate(0deg); }
 80% { transform: rotate(0deg); }
 85% { transform: rotate(2deg); }
 95% { transform: rotate(-2deg); }
100% { transform: rotate(0deg); }
}
/* txt3 */
.txt3{
  z-index: 1;
  position: absolute;
}
.t_3{
  max-width: 450px;
}
/* /////////////////////////////////////////////// */
